clear all;

disp(' ');
disp('-----------------------------------------------');
disp('Compare QRD (EF, DP)and Normalised QRD (EF, DP)');
disp('-----------------------------------------------');

echo off;
s_inp='';
mat='.mat';
s0='sf_70d';
% s_inp=input(['reference mat file (default: ',s0,')'],'s');
% if ~isempty(s_inp) s0=s_inp; end
load([s0,mat]);
d2=yy2; d4=yy4; d5=yy5;

s1='sf_70d';
% s_inp=input(['1st mat file name  (default: ',s1,')'],'s');
% if ~isempty(s_inp) s1=s_inp; end
load([s1,mat]);
e2=yy2; e4=yy4; e5=yy5;

s2='sf_73f';
% s_inp=input(['2nd mat file name  (default: ',s2,')'],'s');
% if ~isempty(s_inp) s2=s_inp; end
load([s2,mat]);
l2=yy2; l4=yy4; l5=yy5;

s3='sf_70d';
% s_inp=input(['3rd mat file name  (default: ',s3,')'],'s');
% if ~isempty(s_inp) s3=s_inp; end
load([s3,mat]);
f2=yy2; f4=yy4; f5=yy5;

s4='sf_lns19_73l';
% s_inp=input(['4th mat file name  (default: ',s4,')'],'s');
% if ~isempty(s_inp) s4=s_inp; end
load([s4,mat]);m2=yy2; m4=yy4; m5=yy5;

de2=d2-e2; de4=d4-e4; de5=d5-e5;
dl2=d2-l2; dl4=d4-l4; dl5=d5-l5;
df2=d2-f2; df4=d4-f4; df5=d5-f5;
dm2=d2-m2; dm4=d4-m4; dm5=d5-m5;

[m,n]=size(d2);
sse=0; ssl=0; ssf=0; ssm=0;
se=zeros(m,1); sl=zeros(m,1); sf=zeros(m,1); sm=zeros(m,1);

for i=1:m,
    sse=sse+abs(de5(i,1)); se(i,1)=sse;
    ssl=ssl+abs(dl5(i,1)); sl(i,1)=ssl;
    ssf=ssf+abs(df5(i,1)); sf(i,1)=ssf;
    ssm=ssm+abs(dm5(i,1)); sm(i,1)=ssm;
end;

disp([s1, ' red']);
disp([s2, ' green']);
disp([s3, ' blue']);
disp([s4, ' magenta']);

subplot(221)
%figure(1)
plot(1:m,de2,'r',1:m,dl2,'g',1:m,df2,'b',1:m,dm2,'m', 'LineWidth', 1);
set(gca, 'fontsize', 10)
title('Estimation of the first parameter', 'fontsize', 10)


subplot(222)
%figure(2)
plot(1:m,de4,'r',1:m,dl4,'g',1:m,df4,'b',1:m,dm4,'m', 'LineWidth', 1);
set(gca, 'fontsize', 10)
title('Estimation of the second parameter', 'fontsize', 10)


subplot(223)
%figure(3)
plot(1:m,de5,'r',1:m,dl5,'g',1:m,df5,'b',1:m,dm5,'m', 'LineWidth', 1);
set(gca, 'fontsize', 10)
title('Filtration error', 'fontsize', 10)


subplot(224)
%figure(4)
plot(1:m,se,'r',1:m,sl,'g',1:m,sf,'b',1:m,sm,'m', 'LineWidth', 1);
set(gca, 'fontsize', 10)
title('Accumulated numerical error', 'fontsize', 10)

